onEvent('recipes', event => {

    event.shaped('rftoolspower:blazing_infuser', 
        [
            'RAR',
            'BCB',
            'RDR'
        ], 
        {
            A: Ingredient.customNBT('rftoolspower:blazing_rod', (tag) => {
                return (tag.time <= 0);
            }).toJson(),
            B: 'rftoolsbase:infused_enderpearl',
            C: 'rftoolsbase:machine_frame',
            D: 'botania:rune_fire',
            R: 'twilightforest:fiery_ingot'
        }
    ).id(`rftoolspower:kubejs/shaped/blazing_infuser`);
    

})